Subject: Re: [PATCH RESEND net] net: mv643xx: fix OF node refcount

From: Jakub Kicinski <[email-masked]>
Date: Thu, 4 Jun 2026 08:34:30 -0700

On Tue,  2 Jun 2026 09:34:14 +0200 Bartosz Golaszewski wrote:
> Platform devices created with platform_device_alloc() call
> platform_device_release() when the last reference to the device's
> kobject is dropped. This function calls of_node_put() unconditionally.
> This works fine for devices created with platform_device_register_full()
> but users of the split approach (platform_device_alloc() +
> platform_device_add()) must bump the reference of the of_node they
> assign manually. Add the missing call to of_node_get().

Where is it released? I think it's important to note, I can amend
the commit message if needed..